
QGIS Application - Bug report #17299

Histogram for graduated style in layer properties disappears when the layer properties window is 

too small

2017-10-17 07:10 PM - Håvard Tveite

Status: Open

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.4.6 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25197

Description

See the attached illustration.

The histogram is very difficult to find when the vertical size of the layer properties window is too small.

The histogram needs a minimum size that protects it from being "destroyed" when the properties window gets

small.

Having a large screen, I have never experienced this myself, so I only discovered the problem when many

students (having computers with small screen sizes) reported that they were not able to create histograms.

History

#1 - 2018-06-27 05:25 PM - Håvard Tveite

- File histogram_issue_3.2.png added

In QGIS 3.2 this is still an issue.

Resizing the Layer Properties window to the minimum vertical size still makes the histogram collapse into something that is not recognisable as a histogram

in the "Sybmology" tab when the "Layer rendering" part is opened.

If the "Layer rendering" part is collapsed, the histogram is visible even when the vertical size is minimal.

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-01-21 08:18 AM - Håvard Tveite

- Status changed from Feedback to Open

Tested with 3.4.3.

The histogram is visible (improvement from QGIS 2), but still too small when "Layer Rendering" is expanded and the window has the minimum vertical

size.

#4 - 2019-03-09 03:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#5 - 2019-04-03 11:37 AM - Håvard Tveite

- Status changed from Closed to Reopened

As commented earlier, the issue persists in 3.4 (even if there has been a slight improvement).

The minimum height of the histogram component should be increased, so that it is can be recognized as a histogram.

#6 - 2019-04-03 12:40 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Easy fix? changed from Yes to No

- Status changed from Reopened to Open

- Affected QGIS version changed from 2.18.13 to 3.4.6
